eCos Reference Manual
Prev | Chapter 47. SNMP for eCos | Next

# SNMP clients and package use

SNMP clients may use these packages, but this usage is currently untested: the reason why this port to eCos exists is to acquire the SNMP agent. The fact that that the SNMP API (for clients) exists is a side-effect. See the standard man page SNMP_API(3) for details. There are further caveats below about client-side use of the SNMP library.

All of the SNMP header files are installed beneath .../include/ucd-snmp in the install tree. The SNMP code itself assumes that directory is on its include path, so we recommend that client code does the same. Further, like the TCP/IP stack, compiling SNMP code requires definition of _KERNEL and __ECOS, and additionally IN_UCD_SNMP_SOURCE.

Therefore, add all of these to your compile lines if you wish to include SNMP header files:

    -D_KERNEL
    -D__ECOS
    -DIN_UCD_SNMP_SOURCE=1
    -I$(PREFIX)/include/ucd-snmp

Prev | Home | Next
Test cases | Up | Unimplemented features